Subject: Re: Move fib_alias out of fib_hash.c

From: Ben Greear <[email-masked]>
Date: Wed, 29 Sep 2004 15:24:55 -0700

Andi Kleen wrote:
> On Wed, Sep 29, 2004 at 02:27:50PM -0700, David S. Miller wrote:

>>Because once we add functionality to the kernel we can't simply
>>rip it out.  People do use TOS routing, via static routes or
>>similar.
> 
> 
> I'm not so sure anybody uses it really. How about adding a printk for it 
> and seeing if anybody complains? 

I don't think you should remove existing features in the middle of a stable
release cycle.  If you want to have a compile option, that defaults to off,
allows some new algorithm, then that sounds more reasonable...

And I don't think the majority of people would see the printk untill way
too late.

Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com